package org.springblade.file.listener;

import lombok.Getter;
import org.springblade.file.pojo.entity.BusinessUnzipTask;
import org.springblade.file.pojo.vo.FileVO;
import org.springframework.context.ApplicationEvent;

/**
 *  解压开始事件
 * @author bfhuange
 * @date 2024/11/8
 */
@Getter
public class UnzipStartEvent extends ApplicationEvent {
    /**
     *  解压任务id
     */
    private final Long unzipTaskId;
    /**
     *  解压任务
     */
    private final BusinessUnzipTask task;

    public UnzipStartEvent(Long unzipTaskId) {
        super(unzipTaskId);
        this.unzipTaskId = unzipTaskId;
        this.task = null;
    }

    public UnzipStartEvent(BusinessUnzipTask task) {
        super(task);
        this.task = task;
        this.unzipTaskId = null;
    }
}
